API ReferenceapiidentityPOST /v1/users/me/email-change-request

POST /v1/users/me/email-change-request

Service: identity · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "new_email": {
      "type": "string",
      "format": "email"
    }
  },
  "required": [
    "new_email"
  ]
}

Responses

200 Verification code sent

{
  "type": "object",
  "properties": {
    "otp_sent": {
      "type": "boolean",
      "enum": [
        true
      ]
    },
    "expires_at": {
      "type": "string"
    }
  },
  "required": [
    "otp_sent",
    "expires_at"
  ]
}

400 Validation

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://identity.platform.loop.health/v1/users/me/email-change-request \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'